<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

include($rutaPhp.$rutaHtml.'/librerias/teclado.php');
include($rutaPhp.$rutaHtml.'/librerias/calculadora.php');

$esperarCarga=false;

if($_GET['cierre']=='si') {

	$peticion='CierrePackingList#'.$_SESSION['empresa'].'#'.$_GET['orden'];
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
	if($_GET['traza']=='si') {
		echo "<p>".$peticion."</p>";
		print_r($resultado);
		echo "<p>"."UPDATE ".$mysqlPrefix."PackingList SET Cerrada=now() WHERE NOrden='".$_GET['orden']."' AND Abierta>'0000-00-00' AND Cerrada='0000-00-00' AND Usuario='".$_SESSION['usuario']['Usuario']."'"."</p>";
	}
	else {
	
		$resultadoEvaluar=explode("#",$resultado[0]['Error']);
		if($resultadoEvaluar[0]=='0') {
		
			//Hacemos la liberación de la orden en mysql
			$temp=$conexionBdd->prepare("UPDATE ".$mysqlPrefix."PackingList SET Cerrada=now() WHERE NOrden=? AND Abierta>'0000-00-00' AND Cerrada='0000-00-00' AND Usuario=?");
			$temp->execute(array($_GET['orden'],$_SESSION['usuario']['Usuario']));
			
			?><script>window.location="packing-lists.php";</script><?php
		}
		else {
			?><script>alert('Error en el cierre: <?php echo $resultadoEvaluar[1]; ?>');</script><?php
		}
	}
}

if($_POST['botonCrearPalets']) {
	
	$peticion='SGACrearPaletsPacking#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#'.$_POST['cantidadNuevosPalets'].'#'.$_GET['orden'];
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
	if($_GET['traza']=='si') {
		echo "<p>".$peticion."</p>";
		print_r($resultado);
	}
	
	?><script>alert('<?php echo $resultado[0]['Resultado']; ?>\nOrden de impresión de Etiquetas lanzada.');</script><?php
	
	$_GET['pestanya']='pestanyaListadoPalets';
}

$peticion='SGAInformacionPackingList#'.$_SESSION['empresa'].'#'.$_GET['orden'];
$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

$numeroCajas=0;
$numeroCajasPaletizadas=0;

if($_GET['traza']=='si') {
	echo "<p>Usuario actual: ".$_SESSION['usuario']['Usuario']."</p>";
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}

$orden=$resultado[0];

$preparaciones=arreglaArrayPXMobileProxiumResult($orden['Preparaciones']);
$todasPreparacionesCerradas=true;
$preparacionesPendientes=array();

?><h2>Packing List Nº <?php echo $_GET['orden']; ?></h2><?php



if(!$orden['Error']) {

	//Comprueba que no está abierta por otro usuario
	$temp=$conexionBdd->prepare("SELECT * FROM ".$mysqlPrefix."PackingList WHERE NOrden=? AND Abierta>'0000-00-00' AND Cerrada='0000-00-00'");
	$temp->execute(array($_GET['orden']));
	
	if($temp->rowCount()==0) {
	
		$temp=$conexionBdd->prepare("INSERT INTO ".$mysqlPrefix."PackingList (NOrden,Usuario,Abierta,Cerrada) VALUES (?,?,now(),'0000-00-00')");
		$temp->execute(array($_GET['orden'],$_SESSION['usuario']['Usuario']));
		$abiertaPorMi=true;
		
	}
	else {
	
		$datosBloqueoPackingList=$temp->fetch();
		
		if($datosBloqueoPackingList['Usuario']!=$_SESSION['usuario']['Usuario']) {
			
			$abiertaPorMi=false;
			?><p class="error">Este Packing List se encuentra actualmente abierto por el usuario: <?php echo $datosBloqueoPackingList['Usuario']; ?></p><?php
		}
		else {
		
			$abiertaPorMi=true;
		}
	
	}
	
	?>
        <script>
			var cajasDisponibles=new Array();
			var paletsActuales=new Array();
        </script>
		
		<table class="tablaFormateada anchoMaximo">
			<tr>
			  <th>Fecha</th>
				<th>Cliente</th>
				<th>Destino</th>
				<th>Carga</th>
				<th>Ordenes de Preparación</th>
				<th>Estado</th>
			  </tr>
			<tr>
			  <td><?php echo fechaNacional($orden['Fecha']); ?></td>
				<td><?php echo $orden['ClienteNombre']; ?></td>
				<td><?php echo $orden['NombreDestino']; ?></td>
				<td><?php echo $orden['CargaCamion']; ?></td>
				<td>
				<?php
				foreach($preparaciones as $preparacion) {
					?><span class="<?php if($preparacion['Estado']!='Cerrada') { $todasPreparacionesCerradas=false; $preparacionesPendientes[]=$preparacion['Oprep']; ?>error<?php } ?>"><?php echo $preparacion['Oprep']; ?></span><br /><?php
				}
				?>
                </td>
				<td><?php echo $orden['Estado']; ?></td>
			  </tr>
		</table>
		
        
        
<div id="contenedorPrincipal" class="contenedorPestanyas sombra anchoMaximo" style="margin-top:100px">

			<div class="pestanya" id="pestanyaListadoCajas">
                <div class="pestanyaEtiqueta" id="etiquetaListadoCajas">Cajas de Expedición</div>
                <div class="pestanyaContenido" style="text-align:center" >
					<?php
					
					$cajasPaletizadas=array();
					
					foreach( arreglaArrayPXMobileProxiumResult($orden['IDPalets']) as $palet) foreach( arreglaArrayPXMobileProxiumResult($palet['Cajas']) as $caja) $cajasPaletizadas[]=$caja['Caja'];
					
					$peticion2='SGACajasPorOrdenesPrep#'.$_SESSION['empresa'].'#'.$orden['OrdenesPreparacion'];
					$resultado2=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion2);
					
					$ordenPreparacion="";
					
					if($_GET['traza']=='si') {
						echo "<p>".$peticion2."</p>";
						print_r($resultado2);
					}
					
					foreach(arreglaArrayPXMobileProxiumResult($resultado2) as $caja) {
					
						if($caja['Caja']) {
						
							if( !in_array($caja['Caja'],$cajasPaletizadas) ) {
								?><script>cajasDisponibles.push('<?php echo $caja['Caja']; ?>');</script><?php
							}
							
							if($ordenPreparacion=="" || $ordenPreparacion!=$caja['OrdenPreparacion']) {
								$ordenPreparacion=$caja['OrdenPreparacion'];
								?><h2 orden="<?php echo $ordenPreparacion; ?>" class="selectorOrden clicable mostrarCargando">Orden de Preparación <?php echo $ordenPreparacion; ?> <img src="<?php echo DIR_IMAGENES; ?>/ir.png" alt="Ir a la Orden de Preparación" style="width:40px;margin-bottom:-8px"/></h2><?php
							}
							?><p <?php if(in_array($caja['Caja'],$cajasPaletizadas)) { ?>style="margin-left:35px"<?php } ?>><?php echo $caja['Caja']; ?> <?php if(in_array($caja['Caja'],$cajasPaletizadas)) { ?><img src="<?php echo DIR_IMAGENES; ?>/ok.png" width="30" /><?php } ?></p>
							<?php
							
							$numeroCajas++;
						}
					}
					?>
                </div>
            </div>

            <div class="pestanya" id="pestanyaListadoPalets">
                <div class="pestanyaEtiqueta" id="etiquetaListadoPalets">Palets actuales</div>
                <div class="pestanyaContenido" style="text-align:center" >

					<!--
					<?php if($abiertaPorMi) { ?>
			    	<form id="form1" name="form1" method="post" action="">
                   	  <p>Número de Palets: <input name="cantidadNuevosPalets" type="text" class="campo cantidad" id="cantidadNuevosPalets" size="2" maxlength="3"/> 
                   	  <input type="submit" name="botonCrearPalets" id="botonCrearPalets" value="Generar Palets" class="boton reducido mostrarCargando" style="width:200px;height:55px" onclick="return validaNuevosPalets()"/></p>
                    </form>
                    <?php } ?>
                    -->

    		    <div id="popupDespaletizar" class="popup" style="display:none">
                      <div class="popupContenidoSimple" style="width:500px;">
                            <h2>Palet <span id="paletDespaletizar"></span></h2>
                             <p>Caja de Expedición:<br />
                                <img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoCajaDespaletizar"/>
                                <input name="cajaDespaletizar" id="cajaDespaletizar" type="text" class="campo mayusculas" size="14" maxlength="14"/>
                                <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x borrarCaja" id="borrarCajaDespaletizar" secuencial="1"/>
                            </p>
                            <p><input type="submit" name="botonAceptarDespaletizar" id="botonAceptarDespaletizar" value="Despaletizar" class="boton"/></p>
                            <p><input type="submit" name="botonCancelarDespaletizar" id="botonCancelarDespaletizar" value="Cancelar" class="boton reducido"/></p>
                      </div>
                    </div>

					<?php foreach( arreglaArrayPXMobileProxiumResult($orden['IDPalets']) as $palet) { ?>
                    	<?php $cajas=arreglaArrayPXMobileProxiumResult($palet['Cajas']); ?>
                    	<h2 style="padding:0">Palet <?php echo $palet['IDPalet']; ?> <span style="font-size:0.7em" id="cantidadCajasPalet<?php echo $palet['IDPalet']; ?>">(<?php echo count($cajas); ?> caja<? if(count($cajas)!=1) echo "s"; ?>)</span> <?php if($abiertaPorMi) { ?><img src="<?php echo DIR_IMAGENES; ?>/palet-sacar.png" alt="Despaletizar" width="47" style="margin-bottom:-10px" palet="<?php echo $palet['IDPalet']; ?>" class="botonDespaletizar clicable" /><?php } ?><?php if (count($cajas)==0) { ?><img id="desasociarPalet<?php echo $palet['IDPalet']; ?>" palet="<?php echo $palet['IDPalet']; ?>" src="<?php echo DIR_IMAGENES; ?>/x.png" width="67" class="desasociarPalet clicable" style="margin-left:10px;margin-right:-77px;margin-bottom:-20px;"/><?php } ?></h2>
                        <script>paletsActuales.push('<?php echo $palet['IDPalet']; ?>');</script>
						<?php foreach( $cajas as $caja) { ?>
                            <p><?php echo $caja['Caja']; ?></p>
                            <?php $numeroCajasPaletizadas++; ?>
                		<?php } ?>
                    <?php } ?>
                    
                </div>
          </div>
            
            <?php if($abiertaPorMi) { ?>
            
            <div class="pestanya" id="pestanyaPaletizar" >
                <div class="pestanyaEtiqueta" id="etiquetaPaletizar"><?php if( $numeroCajasPaletizadas < $numeroCajas ) { ?>Paletizar<?php } else { ?>Cierre del Packing List<?php } ?></div>
                <div class="pestanyaContenido" style="text-align:center" >
					<?php if( $numeroCajasPaletizadas < $numeroCajas ) { ?>
                    
                        <p>Palet:<br />
                        <img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoPalet" />
                        <input name="palet" type="text" class="campo mayusculas" id="palet" size="14" maxlength="14"/>
                        <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x" id="borrarPalet" /><span id="numeroCajasEnPalet" style="margin-left:20px;margin-right:-100px;display:none"></span>
                        </p>
                        
                        <p>Cajas de Expedición:</p>
                        
                        <div id="bloqueCaja-secuencial1">
                            <p style="margin-right:-60px">
                            <img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado tecladoCaja" id="tecladoPalet-secuencial1" secuencial="1"/>
                            <input name="cajaExpedicion-secuencial1" id="cajaExpedicion-secuencial1" type="text" class="campo mayusculas cajaExpedicion" size="14" maxlength="14" secuencial="1"/>
                            <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x borrarCaja" id="borrarCajaExpedicion-secuencial1" secuencial="1"/>
                            <img src="<?php echo DIR_IMAGENES; ?>/mas.png" alt="Añadir caja" class="anyadirCaja clicable" id="anyadirCaja-secuencial1" secuencial="1" style="width:50px;height:50px;padding-left:10px;margin-bottom:-10px"/>
                            </p>
                        	<div id="nuevoBloqueCaja-secuencial1"></div>
                        </div>
                        
					<?php } else { ?>
                    
                    	<p>Todas las Cajas de Expedición  están paletizadas.</p>
                        
						<?php if($todasPreparacionesCerradas) { ?>
		  <form id="formularioCierre" name="formularioCierre" method="post" action="?orden=<?php echo $_GET['orden']; ?>&cierre=si<?php if($_GET['traza']=='si') { ?>&traza=si<?php } ?>">
                        	<p><input type="submit" name="botonCerrar" id="botonCerrar" value="Cerrar Packing List" class="boton" /></p>
                        </form>
                        <?php } else { ?>
                  			<p>El Packing List no puede cerrarse porque hay productos pendientes de preparar en las Orden de Preparación siguientes:</p>
                            <?php foreach($preparacionesPendientes as $pendiente) { ?>
                            <h2 style="margin-bottom:25px" orden="<?php echo $pendiente; ?>" class="selectorOrden clicable mostrarCargando"><?php echo $pendiente; ?> <img src="<?php echo DIR_IMAGENES; ?>/ir.png" alt="Ir a la Orden de Preparación" style="width:40px;margin-bottom:-8px"/></h2>
                            <?php } ?>
                        <?php } ?>
                        
              <script>
						$(document).ready(function() {
							mueveHastaPestanya('pestanyaPaletizar');
						});
						</script>

                    <?php } ?>
                    
                </div>
            </div>
            
            <?php } else { ?>
            
            <div class="pestanya" id="pestanyaPaletizar" ></div>
            
            <?php } ?>
            
        </div>

		<script>
		
		function validaNuevosPalets() {
			if( $('#cantidadNuevosPalets').val()=='' || $('#cantidadNuevosPalets').val()==0) {
				alert('Debes especificar cuántos Palets hay que crear.')
				.done( function(){
					$('#cantidadNuevosPalets').focus();
					$('#calculadora').show();
					$('#valorCalculadora').val( $('#cantidadNuevosPalets').val() );
					$('#enterCalculadora').attr('campoValor','cantidadNuevosPalets');
				});
					
				return false;
			}
			else return true;
		}
		
		function reemplazaTexto(contenido,busqueda,reemplazar) {
			while (contenido.indexOf(busqueda) != -1)
				contenido = contenido.replace(busqueda,reemplazar);
			return contenido;
		}
		
		function anyadeCaja(secuencial) {
			
			var nuevoSecuencial=parseInt(secuencial)+1;
			
			contenido=$('#bloqueCaja-secuencial'+secuencial).html();
				
			contenido=reemplazaTexto(contenido,'secuencial'+secuencial,'secuencial'+nuevoSecuencial);
			contenido=reemplazaTexto(contenido,'secuencial="'+secuencial+'"','secuencial="'+nuevoSecuencial+'"');
				
			var nuevaCapaApertura='<div id="bloqueCaja-secuencial'+nuevoSecuencial+'">';
			var nuevaCapaCierre='</div>';
				
			$('#nuevoBloqueCaja-secuencial'+secuencial).html(nuevaCapaApertura+contenido+nuevaCapaCierre);
				
			$('#bloqueCaja-secuencial'+secuencial).children('p').css('margin-right',0);
			$('#anyadirCaja-secuencial'+secuencial).hide();
			
			$('#cajaExpedicion-secuencial'+nuevoSecuencial).focus();
			
			redimensionaPestanyas('contenedorPrincipal',80);
		}
		
		$(document).ready(function() {
			
			
			$('.botonDespaletizar').on("click",function(e){
			
				e.preventDefault();
				
				$('#popupDespaletizar').show();
				$('#paletDespaletizar').html($(this).attr('palet'));
				$('#cajaDespaletizar').val('');
				$('#cajaDespaletizar').focus();
			
			});
			
			$('#botonCancelarDespaletizar').on("click",function(){
				$('#popupDespaletizar').hide();
			});
			
			$('#tecladoCajaDespaletizar').on("click",function(){
				$('#teclado').show();
				$('#valor').val( $('#cajaDespaletizar').val() );
				$('#valorOculto').val( $('#cajaDespaletizar').val() );
				$('#enter').attr('campoValor','cajaDespaletizar');
			});
			
			$('#borrarCajaDespaletizar').on("click",function(){
				$("#cajaDespaletizar").val('');
				$("#cajaDespaletizar").focus();		
			});
			
			$('#botonAceptarDespaletizar').on("click",function(){
			
				$('#popupCargando').show();
			
				$.post( "<?php echo $rutaHtml; ?>/contenidos/packing-list-despaletizar.php" , { 'packingList' : '<?php echo $_GET['orden']; ?>' , 'palet' : $('#paletDespaletizar').html() , 'caja' : $('#cajaDespaletizar').val() } )
				.done(function(data) {
					$('#popupCargando').hide();
					alert(data)
					.done( function(){
						$('#popupCargando').show();
						window.location="packing-list.php?orden=<?php echo $_GET['orden']; ?>";
					});
				});
			
			});
			
			
			
			
			$('#botonPaletizar').on("click",function(){
			
			<?php if($abiertaPorMi) { ?>
			
				if($('#palet').val()!='') {
			
					/*
					if( paletsActuales.indexOf($('#palet').val())==-1 ) {
			
						alert("Ese Palet no está asociado a este Packing List.")
						.done( function(){
							mueveHastaPestanya('pestanyaPaletizar');
							$('#palet').val('');
							$('#palet').focus();
						});
					}
					else {
					*/
					if(true) {
			
						var cajaActual;
						var cadenaCajas='';
						var errorCaja=false;
					
						$('.cajaExpedicion').each( function() {
	
							cajaActual=$(this).val().toUpperCase()
							
							if( cajaActual!='' ) {
							
								if( cajasDisponibles.indexOf(cajaActual)==-1 ) {
									alert("Error: La caja "+cajaActual+" no está incluida en las\nOrdenes de Preperación asociadas a este Packing List.");
									errorCaja=true;
								}
								else {
									if(cadenaCajas!='') cadenaCajas=cadenaCajas+';';
									cadenaCajas=cadenaCajas+cajaActual;
								}
								
							}
						});
						
						if( !errorCaja ) {
						
							if( cadenaCajas!='' ) {
							
								$('#popupCargando').show();
							
								//Comprobamos el Palet
								$.post( "<?php echo $rutaHtml; ?>/contenidos/packing-list-palet-info.php" , { 'palet': $('#palet').val() } )
								.done(function(data) {
							
									var resultado=data.split('#');
									
									if( resultado[0]=='Error' ) {
										$('#popupCargando').hide();
										alert('Error en la matrícula del Palet.')
										.done( function(){
											mueveHastaPestanya('pestanyaPaletizar');
											$('#palet').focus();
										});
									}
									else {
									
										if( resultado[0]==$('#palet').val() && ( resultado[1]=='' || resultado[1]=='<?php echo $_GET['orden']; ?>' ) ) {
									
											//El num de palet es correcto y no está asociado a ningun packing list o está asociado al packing list actual
											//Comprobamos que los números de cajas coinciden con los de las ordenes de preparacion asociadas
											
											//Forzamos la asocación palet<->packing
											$.post( "<?php echo $rutaHtml; ?>/contenidos/orden-preparacion-palet-asociar.php" , { 'packing' : '<?php echo $_GET['orden']; ?>' , 'palet' : $('#palet').val() } )
											.done(function(data) {
											
												var valores=data.split('#');
												var resultado=valores[0];
												
												if(resultado==1) {
													alert('ERROR: '+valores[1]);
												}
												else {
											
													$.post( "<?php echo $rutaHtml; ?>/contenidos/packing-list-paletizar.php" , { 'packingList' : '<?php echo $_GET['orden']; ?>' , 'palet' : $('#palet').val() , 'cadenaCajas' : cadenaCajas } )
													.done(function(data) {
														window.location=window.location;
													});
												}
											
											});
										}
										else {
										
											$('#popupCargando').hide();
											alert('Error: Este Palet ya se encuentra asociado al Packing List '+resultado[1]+'.')
											.done( function(){
												mueveHastaPestanya('pestanyaPaletizar');
												$('#palet').focus();
											});
										}
									}
								
								});
								
							}
							else {
								alert("No has especificado ninguna Caja de Expedición.")
								.done( function(){
									mueveHastaPestanya('pestanyaPaletizar');
									$("#cajaExpedicion-secuencial1").focus();
								});
							}
						}
					}
				}
				else {
					alert("No has especificado el código de Palet.")
					.done( function(){
						mueveHastaPestanya('pestanyaPaletizar');
						$('#palet').focus();
					});
				}
				
			<?php } else { ?>
			
				window.location="packing-list.php?orden=<?php echo $_GET['orden']; ?>&accion=apertura";
			
			<?php } ?>
			
			});
		
			$('#botonLiberar').on("click",function(e) {
				$('#popupCargando').show();
				window.location="packing-lists.php?orden=<?php echo $_GET['orden']; ?>&accion=liberar";
			});
			
			$('#etiquetaPaletizar').on("click",function(){
				$("#palet").focus();
			});
			
			$('#tecladoPalet').on("click",function(){
				$('#teclado').show();
				$('#valor').val( $('#palet').val() );
				$('#valorOculto').val( $('#palet').val() );
				$('#enter').attr('campoValor','palet');
				$('#forzarEnter').val(1);
			});
			
			$('#borrarPalet').on("click",function(){
				$("#palet").val('');
				$('#numeroCajasEnPalet').html('');
				$('#numeroCajasEnPalet').hide();
				$("#palet").focus();		
			});
			
			
			$('#palet').on("change",function(){
			
				var palet=$(this).val();
				var cajasactuales=$('#cantidadCajasPalet'+palet).html();
			
				if(cajasactuales!=null) {
					$('#numeroCajasEnPalet').html( $('#cantidadCajasPalet'+$(this).val()).html() );
					$('#numeroCajasEnPalet').show();
				}
				$("#cajaExpedicion-secuencial1").focus();		
			});
			
			
			$(document).on('click','.tecladoCaja',function(){
				var secuencial=$(this).attr("secuencial");
				$('#teclado').show();
				$('#valor').val( $("#cajaExpedicion-secuencial"+secuencial).val() );
				$('#valorOculto').val( $("#cajaExpedicion-secuencial"+secuencial).val() );
				$('#enter').attr('campoValor','cajaExpedicion-secuencial'+secuencial);
			});
			
			$(document).on('click','.borrarCaja',function(){
				var secuencial=$(this).attr("secuencial");
				$("#cajaExpedicion-secuencial"+secuencial).val('');
				$("#cajaExpedicion-secuencial"+secuencial).focus();		
			});
			
			$(document).on('click','.anyadirCaja',function(){
				
				var secuencial=$(this).attr("secuencial");
				anyadeCaja(secuencial);
				
			});
			
			$(document).on('change','.cajaExpedicion',function(){
				
				var secuencial=$(this).attr("secuencial");
				anyadeCaja(secuencial);
				
			});
			
			$('#cantidadNuevosPalets').on("click",function() {
				$('#calculadora').show();
				$('#valorCalculadora').val( $('#cantidadNuevosPalets').val() );
				$('#enterCalculadora').attr('campoValor','cantidadNuevosPalets');
			});
			
			$('.desasociarPalet').on("click",function() {
		
				$('#popupCargando').show();
				
				var palet=$(this).attr('palet');
				
				$.post( "<?php echo $rutaHtml; ?>/contenidos/packing-list-palet-desasociar.php", { 'packingList' : '<?php echo $_GET['orden']; ?>' , 'palet' : palet  })
				.done(function(data) {
					alert(data)
					.done( function(){
						window.location=window.location+'&pestanya=pestanyaListadoPalets';	
					});		
				});
				
			});
			
			$('#botonCerrar').on("click",function(e){
			
				e.preventDefault();
				
				confirm("Se va a proceder a cerrar el Packing List.")
				.done(function(){
					$('#popupCargando').show();
					$('#formularioCierre').submit();
				});
			
			});
			
			$('.selectorOrden').on('click',function(){
			
				var orden=$(this).attr('orden');
				
				window.location='<?php echo $rutaHtml; ?>/orden-preparacion-<?php echo $_SESSION['tipoGestion']; ?>.php?orden='+orden+'&empresa=<?php echo $_SESSION['empresa']; ?>';
			
			});
			
			
			<?php if($_GET['pestanya']) { ?>
			mueveHastaPestanya('<?php echo $_GET['pestanya']; ?>');
			<?php } ?>
		
		});
		
		</script>
		
	<?php
	
	include($rutaPhp.$rutaHtml.'/maqueta/menu-packing-list.php');
}
else { ?><p class="error">Este Packing List no existe o ya se encuentra cerrada su Carga de Camión.</p><?php }

include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>
